import random
import json

from main import make_wallpaper

palettes = [
    {"colours": ["#eee4ab", "#e5cb9f", "#99c4c8", "#68a7ad"], "votes": 100000},
    {"colours": ["#e4d192", "#cba0ae", "#af7ab3", "#80558c"], "votes": 100000},
    {"colours": ["#eeeeee", "#e1d4bb", "#cbb279", "#537188"], "votes": 100000},
    {"colours": ["#c0dbea", "#ba90c6", "#e8a0bf", "#fdf4f5"], "votes": 100000},
    {"colours": ["#f5ffc9", "#b3e5be", "#a86464", "#804674"], "votes": 100000},
    {"colours": ["#ffde7d", "#f6416c", "#f8f3d4", "#00b8a9"], "votes": 100000},
    {"colours": ["#53354a", "#903749", "#e84545", "#2b2e4a"], "votes": 100000},
    {"colours": ["#967e76", "#d7c0ae", "#eee3cb", "#b7c4cf"], "votes": 100000},
    {"colours": ["#fc5185", "#f5f5f5", "#3fc1c9", "#364f6b"], "votes": 100000},
    {"colours": ["#eaeaea", "#ff2e63", "#252a34", "#08d9d6"], "votes": 100000},
    {"colours": ["#eeeeee", "#00adb5", "#393e46", "#222831"], "votes": 100000},
    {"colours": ["#2cd3e1", "#a459d1", "#f266ab", "#ffb84c"], "votes": 100000},
    {"colours": ["#ffe194", "#e8f6ef", "#1b9c85", "#4c4c6d"], "votes": 100000},
    {"colours": ["#146c94", "#19a7ce", "#b0daff", "#feff86"], "votes": 100000},
    {"colours": ["#4c3d3d", "#c07f00", "#ffd95a", "#fff7d4"], "votes": 100000},
    {"colours": ["#8bacaa", "#b04759", "#e76161", "#f99b7d"], "votes": 100000},
    {"colours": ["#146c94", "#19a7ce", "#afd3e2", "#f6f1f1"], "votes": 100000},
    {"colours": ["#9ba4b5", "#212a3e", "#394867", "#f1f6f9"], "votes": 100000},
    {"colours": ["#00ffca", "#05bfdb", "#088395", "#0a4d68"], "votes": 100000},
    {"colours": ["#7c9070", "#9ca777", "#fee8b0", "#f97b22"], "votes": 100000},
    {"colours": ["#002a19", "#000000", "#ffffff", "#e0512f"], "votes": 100000},
]
with open("popular.json", "r") as f:
    palettes += json.load(f)

palette = random.choice(palettes)
colours = ["black"] + palette["colours"]
with open("current_speckles.png", "wb") as f:
    b = make_wallpaper(
        ",".join(colours), fileformat="png", size=2.1, density=0.3, local=True
    )
    # for body in b.body_iterator:
    #     print(body)
